Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.id.jericho.lib.html
Class FormControlOutputStyle

    java.lang.Object
      FormControlOutputStyle

public final class FormControlOutputStyle
extends java.lang.Object

An enumerated type representing the three major output styles of a form control's output element.

A form control's output style is set using the `FormControl.setOutputStyle(FormControlOutputStyle)` method.

Nested Class Summary
`static class` | `FormControlOutputStyle.ConfigDisplayValue` Contains static properties that configure the `DISPLAY_VALUE` form control output style.

Field Summary
`static FormControlOutputStyle` | `DISPLAY_VALUE` The normal output element is replaced with a simple representation of the form control's submission value(s).
`static FormControlOutputStyle` | `NORMAL` Normal display of the output element.
`static FormControlOutputStyle` | `REMOVE` Remove the output element from the output document completely.

Method Summary
`java.lang.String` | `getDebugInfo()` Returns a string representation of this object useful for debugging purposes.
`java.lang.String` | `toString()` Returns a string representation of this object useful for debugging purposes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NORMAL

    public static final FormControlOutputStyle NORMAL

  Normal display of the output element.

  This is the default display style.

### REMOVE

    public static final FormControlOutputStyle REMOVE

  Remove the output element from the output document completely.

### DISPLAY_VALUE

    public static final FormControlOutputStyle DISPLAY_VALUE

  The normal output element is replaced with a simple representation of the form control's submission value(s).

  The implementation of this functionality is highly subjective, but provides a more aesthetic way of displaying a read-only version of a form without having to resort to using disabled controls.

  The representation is dependent on the form control type, and can be configured using the static properties of the `ConfigDisplayValue` nested class.

  Unless specified otherwise below, the normal output element is replaced with a display value element having the name specified in the static `ConfigDisplayValue.ElementName` property (`div` by default). The attributes specified in the static `ConfigDisplayValue.AttributeNames` list (`id`, `class` and `style` by default) are copied from the normal output element into the display value element.

  Details of the content of the display value element or other representation of the control value are as follows:

  `TEXT`, `FILE`
    The content of the display value element is the re-encoded value of the normal output element's `value` attribute.
  `TEXTAREA`
    The content of the display value element is the content of the `TEXTAREA` element re-encoded with white space formatting.
  `CHECKBOX`, `RADIO`
    The normal output element is replaced with the un-encoded content specified in the `ConfigDisplayValue.CheckedHTML` or `ConfigDisplayValue.UncheckedHTML` static property, depending on whether the normal output element contains a `checked` attribute. If the relevant static property has a value of `null` (the default), the output element is simply a disabled version of the form control. Attempting to determine which labels might apply to which checkbox or radio button, allowing only the selected controls to be displayed, would require a very complex and inexact algorithm, so is best left to the developer to implement if required.
  `SELECT_SINGLE`, `SELECT_MULTIPLE`
    The content of the display value element is the re-encoded label of the currently selected option. In the case of a `SELECT_MULTIPLE` control, all labels of selected options are listed, separated by the text specified in the static `ConfigDisplayValue.MultipleValueSeparator` property ("`,` " by default).
  `PASSWORD`
    The content of the display value element is the encoded character specified in the `ConfigDisplayValue.PasswordChar` static property ('`*`' by default), repeated n times, where n is the number of characters in the control's submission value.
  `HIDDEN`
    The output element is removed completely.
  `BUTTON`, `SUBMIT`, `IMAGE`
    The output element is a disabled version of the original form control.

  If the submission value of the control is `null` or an empty string, the display value element is given the un-encoded content specified in the `ConfigDisplayValue.EmptyHTML` static property.

Method Detail

### getDebugInfo

    public java.lang.String getDebugInfo()

  Returns a string representation of this object useful for debugging purposes.

  Returns:
    a string representation of this object useful for debugging purposes.

### toString

    public java.lang.String toString()

  Returns a string representation of this object useful for debugging purposes.

  This is equivalent to `getDebugInfo()`.

  Returns:
    a string representation of this object useful for debugging purposes.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD